| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Com::AgvSensorWrapper::Sensor::WAgvSensor Class Reference

`#include <WAgvSensor.h>`

Inheritance diagram for Com::AgvSensorWrapper::Sensor::WAgvSensor:

## Public Member Functions
| WAgvSensor ()
| WAgvSensor (WBaseCommunication^ pcomm)
| ~WAgvSensor ()
WCommunicationStatus | Initialize () override
| Initializes the object to connect the sensor.
WRawData | RetrieveRawData ()
void | SendMdi ()
| Request the sensor to start sending MDI data to host.
void | StopMdi ()
| Request the sensor to stop sending MDI data to host.
Protocol | GetRawDataExchangeMode ()
| Get the raw data exchange mode.
WAngleRange | GetAngleRange ()
| Gets the angle range.
ScanPacketType | GetDataPacketType ()
| Gets the data packed type.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
WContaminationThreshold | GetContaminationThreshold ()
| Gets the contamination threshold.
WSoftwareVersion | GetVersion () override
| Gets the sensor version data.
int | GetTemperature () override
| Gets the temperature.
WContaminationStatus | GetContaminationStatus () override
| Gets the contamination status.
long | GetRuntimeHours () override
| Gets the sensor runtime hours.
List< WRawDataError^> | GetErrorLog ()
| Gets the error log.
WNetworkInformation | GetNetworkInformation ()
| Gets whole data information.
String | GetDeviceName () override
| Gets the sensor's name.
WConfigurationResult | SetRawDataExchangeMode (Protocol pProtocol)
| Sets the RAW data exchange mode. Can be either TCP or UDP.
WConfigurationResult | SetDataPacketType (ScanPacketType pPacketType)
| Sets the packet type returned in raw data. Can be either ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity.
WConfigurationResult | SetAngleRange (WAngleRange^ pAngleRange)
| Sets the Angle range (start and stop)
WConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
WConfigurationResult | SetContaminationThreshold (WContaminationThreshold^ pContaminationThreshold)
| Sets the contamination level threshold for warning and error.
WConfigurationResult | SetNetworkInformation (WNetworkInformation^ pNetwork)
| Set the overall network information except IP v4 and Port.
WConfigurationResult | SetDeviceName (String^ pName) override
| Sets the sensor's name.
void | ResetDevice ()
| Resets the device.
void | ResetAllFields ()
| Resets all fields to MAXVALUE.
void | RebootDevice ()
| Reboots the device.
List< unsigned int > | GetWms ()
| Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)
String | RequestChallenge ()
| Request the challenge to the sensor.
WConfigurationResult | SendCypher (String^ challenge)
WSensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
WFieldName | GetFieldName (int fieldSetNumber)
| Gets the field name for a given field number.
WObjectSize | GetObjectSize ()
| Gets the object size.
WWarningSpot | GetWarningSpot ()
| Gets the warning spot value.
WUncoverZone | GetUncoverZoneSize ()
| Gets the uncovered zone size.
WFieldData | GetField (int fieldNumber, ZoneTypeEnum zone)
| Returns the requested field data.
unsigned int | GetSelectedField ()
| Returns the current selected field data based on inputs.
WOnOffDelay | GetOnDelay ()
| Gets ON delay (ms)
WOnOffDelay | GetOffDelay ()
| Gets OFF delay (ms)
WActiveLevel | GetOutputActiveLevel ()
| Gets the output active level for 4 outputs.
WActiveLevel | GetOutputStatus ()
| Gets the output active status for 4 outputs.
WActiveLevel | GetInputStatus ()
| Gets the input active status for 4 inputs.
WOutputFunction | GetOutputFunction ()
| Gest the output function for 4 outputs.
WDefaultValues | GetDefaultValues ()
WAgvSensorLeds | GetSensorLeds ()
| Gets the navigation sensor leds status.
WConfigurationResult | SetFieldName (WFieldName^ fieldName)
| Sets the field name data.
WConfigurationResult | SetObjectSize (WObjectSize^ sizeToSet)
| Sets the object size.
WConfigurationResult | SetWarningSpot (WWarningSpot^ spotToSet)
| Sets the warning spots.
WConfigurationResult | SetUncoverZoneSize (WUncoverZone^ sizeToSet)
WConfigurationResult | SetField (WFieldData^ data)
| Set the requested field data.
WConfigurationResult | SetMultipleSampling (WMultipleSampling^ sampling)
| Sets the multiple sampling.
WConfigurationResult | SetHoldTime (WHoldTime^ holdTime)
| Sets the Hold time.
WConfigurationResult | SetOnDelay (WOnOffDelay^ onDelay)
| Sets the ON delay.
WConfigurationResult | SetOffDelay (WOnOffDelay^ offDelay)
| Sets the OFF delay.
WConfigurationResult | SetOutputActiveLevel (WActiveLevel^ activeLevel)
| Sets the output active level.
WConfigurationResult | SetOutputFunction (WOutputFunction^ function)
| Sets the output function.
void | SetInputControlModeStatus (InputControleModeStatus controlMode)
void | SetZone1Mode (ZoneModeEnum mode)
void | SetInputsValue (ActiveLevelEnum input1, ActiveLevelEnum input2, ActiveLevelEnum input3, ActiveLevelEnum input4)
WConfigurationResult | SetSensorLeds (WAgvSensorLeds^ leds)
| Sets the sensor's leds.
WConfigurationResult | StoreInFlash ()
| Store fields in the flash.
unsigned int | GetPlatformVersion () override
| Gets the platform version.
void | StartLearning (int fieldNumber, ZoneTypeEnum zone, unsigned int uncover, ObjSizeEnum objectSize)
void | StopLearning ()
void | AbortLearning ()
FieldLearningStatusEnum | GetLearningStatus ()
unsigned int | GetLearningErrorCode () override
| Gets the platform version.
AbortStatus | GetAbortStatus ()
InputControleModeStatus | GetInputControlModeStatus ()
ZoneModeEnum | GetZone1Mode ()

## Protected Member Functions
WConfigurationResult | toManagedInstance (ConfigurationResult pResult)

## Constructor & Destructor Documentation

## ◆ WAgvSensor() [1/2]

Com::AgvSensorWrapper::Sensor::WAgvSensor::WAgvSensor | ( |  | ) |
| inline

## ◆ WAgvSensor() [2/2]

Com::AgvSensorWrapper::Sensor::WAgvSensor::WAgvSensor | ( | WBaseCommunication^ | pcomm | ) |
| inline

## ◆ ~WAgvSensor()

Com::AgvSensorWrapper::Sensor::WAgvSensor::~WAgvSensor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ AbortLearning()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::AbortLearning | ( |  | ) |
| inline

## ◆ GetAbortStatus()

AbortStatus Com::AgvSensorWrapper::Sensor::WAgvSensor::GetAbortStatus | ( |  | ) |
| inline

## ◆ GetAngleRange()

WAngleRange Com::AgvSensorWrapper::Sensor::WAgvSensor::GetAngleRange | ( |  | ) |
| inline

Gets the angle range.

Returns
  An encapsulation of angle range

## ◆ GetContaminationStatus()

WContaminationStatus Com::AgvSensorWrapper::Sensor::WAgvSensor::GetContaminationStatus | ( |  | ) |
| inline override

Gets the contamination status.

Returns
  An integer representing the contamination status

## ◆ GetContaminationThreshold()

WContaminationThreshold Com::AgvSensorWrapper::Sensor::WAgvSensor::GetContaminationThreshold | ( |  | ) |
| inline

Gets the contamination threshold.

Returns
  An encapsulation of the contamination threshold

## ◆ GetDataPacketType()

ScanPacketType Com::AgvSensorWrapper::Sensor::WAgvSensor::GetDataPacketType | ( |  | ) |
| inline

Gets the data packed type.

Returns
  ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity enum

## ◆ GetDefaultValues()

WDefaultValues Com::AgvSensorWrapper::Sensor::WAgvSensor::GetDefaultValues | ( |  | ) |
| inline

## ◆ GetDeviceName()

String Com::AgvSensorWrapper::Sensor::WAgvSensor::GetDeviceName | ( |  | ) |
| inline override

Gets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ GetErrorLog()

List< WRawDataError^> Com::AgvSensorWrapper::Sensor::WAgvSensor::GetErrorLog | ( |  | ) |
| inline

Gets the error log.

Returns
  An encapsulation representing the error log

## ◆ GetField()

WFieldData Com::AgvSensorWrapper::Sensor::WAgvSensor::GetField | ( | int | fieldNumber,
|  | ZoneTypeEnum | zone )
| inline

Returns the requested field data.

Parameters

  fieldNumber | The field number we want to retrieve
  zone | The zone type (Near, Warning 1, Warning 2)

Returns
  An object encapsulating the results

## ◆ GetFieldName()

WFieldName Com::AgvSensorWrapper::Sensor::WAgvSensor::GetFieldName | ( | int | fieldSetNumber | ) |
| inline

Gets the field name for a given field number.

Parameters

  fieldSetNumber | The fieldset number to retrieve

Returns
  An encapsulation of date

## ◆ GetImmunityLevel()

unsigned int Com::AgvSensorWrapper::Sensor::WAgvSensor::GetImmunityLevel | ( |  | ) |
| inline

Gets the immunity level.

Returns
  An integer representing the immunity level

## ◆ GetInputControlModeStatus()

InputControleModeStatus Com::AgvSensorWrapper::Sensor::WAgvSensor::GetInputControlModeStatus | ( |  | ) |
| inline

## ◆ GetInputStatus()

WActiveLevel Com::AgvSensorWrapper::Sensor::WAgvSensor::GetInputStatus | ( |  | ) |
| inline

Gets the input active status for 4 inputs.

Returns
  An object encapsulating the statuses

## ◆ GetLearningErrorCode()

unsigned int Com::AgvSensorWrapper::Sensor::WAgvSensor::GetLearningErrorCode | ( |  | ) |
| inline override

Gets the platform version.

Returns
  an unsigned int containing the version number

## ◆ GetLearningStatus()

FieldLearningStatusEnum Com::AgvSensorWrapper::Sensor::WAgvSensor::GetLearningStatus | ( |  | ) |
| inline

## ◆ GetNetworkInformation()

WNetworkInformation Com::AgvSensorWrapper::Sensor::WAgvSensor::GetNetworkInformation | ( |  | ) |
| inline

Gets whole data information.

Returns
  An encapsulated way to group the network information

## ◆ GetObjectSize()

WObjectSize Com::AgvSensorWrapper::Sensor::WAgvSensor::GetObjectSize | ( |  | ) |
| inline

Gets the object size.

Returns
  An encapsulation of enums

## ◆ GetOffDelay()

WOnOffDelay Com::AgvSensorWrapper::Sensor::WAgvSensor::GetOffDelay | ( |  | ) |
| inline

Gets OFF delay (ms)

Returns

## ◆ GetOnDelay()

WOnOffDelay Com::AgvSensorWrapper::Sensor::WAgvSensor::GetOnDelay | ( |  | ) |
| inline

Gets ON delay (ms)

Returns

## ◆ GetOutputActiveLevel()

WActiveLevel Com::AgvSensorWrapper::Sensor::WAgvSensor::GetOutputActiveLevel | ( |  | ) |
| inline

Gets the output active level for 4 outputs.

Returns
  An object encapsulating the levels

## ◆ GetOutputFunction()

WOutputFunction Com::AgvSensorWrapper::Sensor::WAgvSensor::GetOutputFunction | ( |  | ) |
| inline

Gest the output function for 4 outputs.

Returns
  An object encapsulating the functions

## ◆ GetOutputStatus()

WActiveLevel Com::AgvSensorWrapper::Sensor::WAgvSensor::GetOutputStatus | ( |  | ) |
| inline

Gets the output active status for 4 outputs.

Returns
  An object encapsulating the statuses

## ◆ GetPlatformVersion()

unsigned int Com::AgvSensorWrapper::Sensor::WAgvSensor::GetPlatformVersion | ( |  | ) |
| inline override

Gets the platform version.

Returns
  an unsigned int containing the version number

## ◆ GetRawDataExchangeMode()

Protocol Com::AgvSensorWrapper::Sensor::WAgvSensor::GetRawDataExchangeMode | ( |  | ) |
| inline

Get the raw data exchange mode.

Returns
  Protocol::Udp or Protocol::Tcp enum

## ◆ GetRuntimeHours()

long Com::AgvSensorWrapper::Sensor::WAgvSensor::GetRuntimeHours | ( |  | ) |
| inline override

Gets the sensor runtime hours.

Returns
  A long representing the sensor's runtime hours

## ◆ GetSelectedField()

unsigned int Com::AgvSensorWrapper::Sensor::WAgvSensor::GetSelectedField | ( |  | ) |
| inline

Returns the current selected field data based on inputs.

Returns
  The field number

## ◆ GetSensorLamps()

WSensorLamps Com::AgvSensorWrapper::Sensor::WAgvSensor::GetSensorLamps | ( |  | ) |
| inline

Gets the sensor lamps status.

Returns
  An encapsulation of the sensor's internal lamps status

## ◆ GetSensorLeds()

WAgvSensorLeds Com::AgvSensorWrapper::Sensor::WAgvSensor::GetSensorLeds | ( |  | ) |
| inline

Gets the navigation sensor leds status.

## ◆ GetTemperature()

int Com::AgvSensorWrapper::Sensor::WAgvSensor::GetTemperature | ( |  | ) |
| inline override

Gets the temperature.

Returns
  An integer representing the sensor's temperature

## ◆ GetUncoverZoneSize()

WUncoverZone Com::AgvSensorWrapper::Sensor::WAgvSensor::GetUncoverZoneSize | ( |  | ) |
| inline

Gets the uncovered zone size.

Returns
  An encapsulation of enums

## ◆ GetVersion()

WSoftwareVersion Com::AgvSensorWrapper::Sensor::WAgvSensor::GetVersion | ( |  | ) |
| inline override

Gets the sensor version data.

Returns
  An encapsulation representing the sensor version

## ◆ GetWarningSpot()

WWarningSpot Com::AgvSensorWrapper::Sensor::WAgvSensor::GetWarningSpot | ( |  | ) |
| inline

Gets the warning spot value.

Returns

## ◆ GetWms()

List< unsigned int > Com::AgvSensorWrapper::Sensor::WAgvSensor::GetWms | ( |  | ) |
| inline

Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)

Returns

## ◆ GetZone1Mode()

ZoneModeEnum Com::AgvSensorWrapper::Sensor::WAgvSensor::GetZone1Mode | ( |  | ) |
| inline

## ◆ Initialize()

WCommunicationStatus Com::AgvSensorWrapper::Sensor::WAgvSensor::Initialize | ( |  | ) |
| inline override

Initializes the object to connect the sensor.

## ◆ RebootDevice()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::RebootDevice | ( |  | ) |
| inline

Reboots the device.

## ◆ RequestChallenge()

String Com::AgvSensorWrapper::Sensor::WAgvSensor::RequestChallenge | ( |  | ) |
| inline

Request the challenge to the sensor.

Returns

## ◆ ResetAllFields()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::ResetAllFields | ( |  | ) |
| inline

Resets all fields to MAXVALUE.

## ◆ ResetDevice()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::ResetDevice | ( |  | ) |
| inline

Resets the device.

## ◆ RetrieveRawData()

WRawData Com::AgvSensorWrapper::Sensor::WAgvSensor::RetrieveRawData | ( |  | ) |
| inline

## ◆ SendCypher()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SendCypher | ( | String^ | challenge | ) |
| inline

## ◆ SendMdi()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::SendMdi | ( |  | ) |
| inline

Request the sensor to start sending MDI data to host.

## ◆ SetAngleRange()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetAngleRange | ( | WAngleRange^ | pAngleRange | ) |
| inline

Sets the Angle range (start and stop)

Parameters

  pAngleRange | The encapsulation of the angle range to be set

Returns
  A configuration result encapsulation

## ◆ SetContaminationThreshold()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetContaminationThreshold | ( | WContaminationThreshold^ | pContaminationThreshold | ) |
| inline

Sets the contamination level threshold for warning and error.

Parameters

  pContaminationThreshold | The encapsulation of contamination leve threshold

Returns
  A configuration result encapsulation

## ◆ SetDataPacketType()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetDataPacketType | ( | ScanPacketType | pPacketType | ) |
| inline

Sets the packet type returned in raw data. Can be either ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity.

Parameters

  pPacketType | The packet type to be set

Returns
  A configuration result encapsulation

## ◆ SetDeviceName()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetDeviceName | ( | String^ | pName | ) |
| inline override

Sets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ SetField()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetField | ( | WFieldData^ | data | ) |
| inline

Set the requested field data.

Returns
  A configuration result encapsulation

## ◆ SetFieldName()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetFieldName | ( | WFieldName^ | fieldName | ) |
| inline

Sets the field name data.

Parameters

  fieldName |

Returns
  A configuration result encapsulation

## ◆ SetHoldTime()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetHoldTime | ( | WHoldTime^ | holdTime | ) |
| inline

Sets the Hold time.

Returns
  A configuration result encapsulation

## ◆ SetImmunityLevel()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetImmunityLevel | ( | int | pImmunityLevel | ) |
| inline

Sets the sensor's immunity level.

Parameters

  pImmunityLevel | The immunity level to be set

Returns
  A configuration result encapsulation

## ◆ SetInputControlModeStatus()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::SetInputControlModeStatus | ( | InputControleModeStatus | controlMode | ) |
| inline

## ◆ SetInputsValue()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::SetInputsValue | ( | ActiveLevelEnum | input1,
|  | ActiveLevelEnum | input2,
|  | ActiveLevelEnum | input3,
|  | ActiveLevelEnum | input4 )
| inline

## ◆ SetMultipleSampling()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetMultipleSampling | ( | WMultipleSampling^ | sampling | ) |
| inline

Sets the multiple sampling.

Parameters

  sampling |

Returns
  A configuration result encapsulation

## ◆ SetNetworkInformation()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetNetworkInformation | ( | WNetworkInformation^ | pNetwork | ) |
| inline

Set the overall network information except IP v4 and Port.

Parameters

  pNetwork | An encapsulation of the network data

Returns
  A configuration result encapsulation

## ◆ SetObjectSize()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetObjectSize | ( | WObjectSize^ | sizeToSet | ) |
| inline

Sets the object size.

Parameters

  sizeToSet |

Returns
  A configuration result encapsulation

## ◆ SetOffDelay()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetOffDelay | ( | WOnOffDelay^ | offDelay | ) |
| inline

Sets the OFF delay.

Returns
  A configuration result encapsulation

## ◆ SetOnDelay()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetOnDelay | ( | WOnOffDelay^ | onDelay | ) |
| inline

Sets the ON delay.

Returns
  A configuration result encapsulation

## ◆ SetOutputActiveLevel()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetOutputActiveLevel | ( | WActiveLevel^ | activeLevel | ) |
| inline

Sets the output active level.

Parameters

  activeLevel |

Returns
  A configuration result encapsulation

## ◆ SetOutputFunction()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetOutputFunction | ( | WOutputFunction^ | function | ) |
| inline

Sets the output function.

Parameters

  function |

Returns
  A configuration result encapsulation

## ◆ SetRawDataExchangeMode()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetRawDataExchangeMode | ( | Protocol | pProtocol | ) |
| inline

Sets the RAW data exchange mode. Can be either TCP or UDP.

Parameters

  pProtocol | The exchange mode (TCP or UDP)

Returns
  A configuration result encapsulation

## ◆ SetSensorLeds()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetSensorLeds | ( | WAgvSensorLeds^ | leds | ) |
| inline

Sets the sensor's leds.

Parameters

  leds |

Returns
  A configuration result encapsulation

## ◆ SetUncoverZoneSize()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetUncoverZoneSize | ( | WUncoverZone^ | sizeToSet | ) |
| inline

Sets the object size

Parameters

  uncoverZoneToSet |

Returns
  A configuration result encapsulation

## ◆ SetWarningSpot()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::SetWarningSpot | ( | WWarningSpot^ | spotToSet | ) |
| inline

Sets the warning spots.

Parameters

  sportToSet |

Returns
  A configuration result encapsulation

## ◆ SetZone1Mode()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::SetZone1Mode | ( | ZoneModeEnum | mode | ) |
| inline

## ◆ StartLearning()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::StartLearning | ( | int | fieldNumber,
|  | ZoneTypeEnum | zone,
|  | unsigned int | uncover,
|  | ObjSizeEnum | objectSize )
| inline

## ◆ StopLearning()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::StopLearning | ( |  | ) |
| inline

## ◆ StopMdi()

void Com::AgvSensorWrapper::Sensor::WAgvSensor::StopMdi | ( |  | ) |
| inline

Request the sensor to stop sending MDI data to host.

## ◆ StoreInFlash()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::StoreInFlash | ( |  | ) |
| inline

Store fields in the flash.

Returns
  A configuration result encapsulation

## ◆ toManagedInstance()

WConfigurationResult Com::AgvSensorWrapper::Sensor::WAgvSensor::toManagedInstance | ( | ConfigurationResult | pResult | ) |
| inline protected

The documentation for this class was generated from the following file:

- WAgvSensor.h